GuideLab API

Test Whats App Template

Send a test WhatsApp message using an approved template and the exact Twilio account that owns its Content SID. Lab-only operation.

POST
/whatsapp-templates/{id}/test

Send a test WhatsApp message using an approved template and the exact Twilio account that owns its Content SID. Lab-only operation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/whatsapp-templates/550e8400-e29b-41d4-a716-446655440000/test" \  -H "Content-Type: application/json" \  -d '{    "phoneNumber": "string"  }'
{  "success": true}
Empty
Empty
Empty
Empty
Empty
Empty